[Snort-users] ipcop

Justin Dodd justin at ...17143...
Tue Apr 21 22:35:24 EDT 2015


Hi Sree,
This is what I get when trying to install via the snort web commands for the
daq2.0.4:

root at ...17146...:~/daq-2.0.4 # ./configure; make; sudo make install
checking for a BSD-compatible install... /usr/bin/install -c
checking whether build environment is sane... yes
checking for a thread-safe mkdir -p... /bin/mkdir -p
checking for gawk... gawk
checking whether make sets $(MAKE)... no
checking whether make supports nested variables... no
checking for gcc... gcc
checking whether the C compiler works... no
configure: error: in `/root/daq-2.0.4':
configure: error: C compiler cannot create executables
See `config.log' for more details
You really should read the documentation available on www.ipcop.org!

To compile, first read the Building How-to:
http://www.ipcop.org/docs/buildinghowto.html

You can ask for a driver to be included in IPCop.
Preferably post a 'Request For Enhancement' in IPCop's Sourceforge Tracker
menu including a patch against recent source tree:
https://sourceforge.net/svn/?group_id=40604
-bash: sudo: command not found


I have set the permissions I think for both configure files but not sure if
I have done this right as I am new to Linux:
This is what I get for snort:

root at ...17146...:~/snort-2.9.7.2 # ./configure --enable-sourcefire; make; sudo
make install
-bash: ./configure: Permission denied
You really should read the documentation available on www.ipcop.org!

To compile, first read the Building How-to:
http://www.ipcop.org/docs/buildinghowto.html

You can ask for a driver to be included in IPCop.
Preferably post a 'Request For Enhancement' in IPCop's Sourceforge Tracker
menu including a patch against recent source tree:
https://sourceforge.net/svn/?group_id=40604
-bash: sudo: command not found

Any help would be grateful, if I can get this to work I should be able to
install snort3.0.0-a1 as well on the ipcop server
Regards,
   Justin. 


From:  Sree Raj <sreewave at ...11827...>
Date:  Wednesday, 22 April 2015 1:20 am
To:  Justin Dodd <justin at ...17143...>
Cc:  <snort-users at lists.sourceforge.net>
Subject:  Re: [Snort-users] ipcop

> Afgan,
> 
>    It is either because the 'configure' file does not have the correct
> permission or you are not running the command as 'root'. Please switch to
> 'root' and it should go okay.
> 
> Thank You.
> Sreeraj. 
> 
> On Tue, Apr 21, 2015 at 8:02 PM, Justin Dodd <justin at ...17143...> wrote:
>> Hi, I have tried to install snort-2972 onto my ipcop but keep getting  an
>> error when using the command: ./configure --enable-sourcefire; make; sudo
>> make install
>> The error is: -bash: ./configure: Permission denied.
>> Is this due to the wrong cmd being used for the ipcop install or the package
>> is not for ipcop?
>> 
>> Regards,
>>    Afgan. 
>> 
>> 
>> 
----------------------------------------------------------------------------->>
-
>> BPM Camp - Free Virtual Workshop May 6th at 10am PDT/1PM EDT
>> Develop your own process in accordance with the BPMN 2 standard
>> Learn Process modeling best practices with Bonita BPM through live exercises
>> http://www.bonitasoft.com/be-part-of-it/events/bpm-camp-virtual- event?utm_
>> source=Sourceforge_BPM_Camp_5_6_15&utm_medium=email&utm_campaign=VA_SF
>> _______________________________________________
>> Snort-users mailing list
>> Snort-users at lists.sourceforge.net
>> Go to this URL to change user options or unsubscribe:
>> https://lists.sourceforge.net/lists/listinfo/snort-users
>> Snort-users list archive:
>> http://sourceforge.net/mailarchive/forum.php?forum_name=snort-users
>> 
>> Please visit http://blog.snort.org to stay current on all the latest Snort
>> news!
> 


-------------- next part --------------
An HTML attachment was scrubbed...
URL: <https://lists.snort.org/pipermail/snort-users/attachments/20150422/a7a15e29/attachment.html>


More information about the Snort-users mailing list